﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using System.Data;
using System.Web.Script.Serialization;
using System.Text;

namespace MVCGrid_RemotePagingAndFiltering.Models
{
    public class HomeController : Controller
    {
        //
        // GET: /Hom/

        public ActionResult Index()
        {            
            return View();

        }

      
        [ActionName("GridGetData")]
        public ActionResult GridGetData()
        {

            int currentPageIndex = Convert.ToInt32(this.Request.QueryString["page"]);
            int pageSize = Convert.ToInt32(this.Request.QueryString["pageSize"]);

            //lets assume this is the whole data source we want to bind to
            List<Products> list = new List<Products>();
            for (int i = 0; i < 100; i++)
            {
                list.Add(new Products() { ProductID = i, Name = "Product " + i, ListPrice = i, ModifiedDate = DateTime.Now.AddDays(i)});
            }

            //We'll need to manually get the data we want to pass to the client 
            List<Products> currentData = list.Skip(currentPageIndex).Take(pageSize).ToList();
            DataModel model = new DataModel() { Records = currentData, TotalRecordsCount = 100 }; 
         

            JsonResult result = new JsonResult();
            result.Data = model;   
           
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }





       
    }
}
